From e3b47e80f7581b62010e840f8b03bbdc621f80b7 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Thomas=20M=C3=BCller?= <thomas.mueller@tmit.eu>
Date: Wed, 9 Dec 2015 12:09:45 +0100
Subject: [PATCH] script shall exit with error in case the start file has
 issues - fixes #20798

---
 autotest-external.sh | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/autotest-external.sh b/autotest-external.sh
index 86fb796627c..6128f68136f 100755
--- a/autotest-external.sh
+++ b/autotest-external.sh
@@ -193,7 +193,8 @@ EOF
 		echo "name: $name"
 
 		# execute start file
-		if ./$FILES_EXTERNAL_BACKEND_ENV_PATH/$startFile; then
+		./$FILES_EXTERNAL_BACKEND_ENV_PATH/$startFile
+		if [ $? -eq 0 ]; then
 			# getting backend to test from filename
 			# it's the part between the dots startSomething.TestToRun.sh
 			testToRun=`echo $startFile | cut -d '-' -f 2`
@@ -209,6 +210,8 @@ EOF
 				"$PHPUNIT" --configuration phpunit-autotest-external.xml --log-junit "autotest-external-results-$1-$name.xml" "$FILES_EXTERNAL_BACKEND_PATH/$testToRun.php"
 				RESULT=$?
 			fi
+		else
+		    DOEXIT=1
 		fi
 
 		# calculate stop file
@@ -218,6 +221,10 @@ EOF
 			# execute stop file if existant
 			./$FILES_EXTERNAL_BACKEND_ENV_PATH/$stopFile
 		fi
+		if [ "$DOEXIT" ]; then
+		    echo "Error during start file execution ... terminating"
+		    exit $DOEXIT
+		fi
 	done;
 }
 
-- 
GitLab